## libevent 2.1.11-stable

=== debian/changelog ===
libevent (2.1.11-stable-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Downgrade priority of libevent-2.1-7 to optional (Closes: #940307)

  [ Davor Ocelic ]
  * debian/*.symbols: Allow building with musl (Closes: #941865)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 12 Nov 2019 12:18:47 +0100

libevent (2.1.11-stable-1~exp0) experimental; urgency=medium

  * Add Salsa CI config
  * Move packaging to Salsa
  * Replace Anibal Monsalve Salazar as Maintainer.
    Thank you Anibal for taking care of libevent in the past! (Closes: #925085)
  * New upstream version 2.1.11-stable
  * Drop patch integrated upstream
  * Bump SO versions and rename library packages
  * Update symbols files
  * Bump compat level to 12 and drop autotools-dev build-dependency
  * debian/copyright: Update and make it machine-readable
  * Override possible-gpl-code-linked-with-openssl Lintian warning

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 20 Aug 2019 22:46:07 +0200
