=== debian/control ===
Source: libevent
Maintainer: Balint Reczey <rbalint@ubuntu.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libssl-dev
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/libevent -b master
Vcs-Browser: https://salsa.debian.org/debian/libevent.git
Homepage: http://libevent.org/

Package: libevent-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libevent-2.1-7 (= ${binary:Version}),
         libevent-core-2.1-7 (= ${binary:Version}),
         libevent-extra-2.1-7 (= ${binary:Version}),
         libevent-pthreads-2.1-7 (= ${binary:Version}),
         libevent-openssl-2.1-7 (= ${binary:Version})
Description: Asynchronous event notification library (development files)
 Libevent is an asynchronous event notification library that provides a 
 mechanism to execute a callback function when a specific event occurs
 on a file descriptor or after a timeout has been reached.
 .
 This package includes development files for compiling against libevent.

Package: libevent-2.1-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Asynchronous event notification library
 Libevent is an asynchronous event notification library that provides a
 mechanism to execute a callback function when a specific event occurs
 on a file descriptor or after a timeout has been reached.
 .
 It is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 For backward compatibility and to transition to "libevent_core only"
 or "libevent_core + libevent_extra", the libevent source package builds
 the libevent library that includes everything in libevent_core and
 libevent_extra.

Package: libevent-core-2.1-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Asynchronous event notification library (core)
 Libevent is an asynchronous event notification library that provides a
 mechanism to execute a callback function when a specific event occurs
 on a file descriptor or after a timeout has been reached.
 .
 It is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 The libevent_core library includes event loops, timers, buffer code,
 and various small compatibility functions.
 .
 If you're writing software that only uses libevent's event loop, you
 should link against only the libevent_core library.

Package: libevent-extra-2.1-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libevent-core-2.1-7 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Asynchronous event notification library (extra)
 Libevent is an asynchronous event notification library that provides a
 mechanism to execute a callback function when a specific event occurs
 on a file descriptor or after a timeout has been reached.
 .
 It is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 The libevent_extra library includes code for HTTP, DNS, RPC, and so
 on.
 .
 If you're writing software that uses libevent's protocol support, you
 need to link libevent_core and libevent_extra as well.

Package: libevent-pthreads-2.1-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libevent-core-2.1-7 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Asynchronous event notification library (pthreads)
 Libevent is an asynchronous event notification library that provides a
 mechanism to execute a callback function when a specific event occurs
 on a file descriptor or after a timeout has been reached.
 .
 It is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 If you want threading support and you're using pthreads, you'll need
 to link against the libevent_pthreads library in addition to
 libevent_core.

Package: libevent-openssl-2.1-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libevent-core-2.1-7 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Asynchronous event notification library (openssl)
 Libevent is an asynchronous event notification library that provides a
 mechanism to execute a callback function when a specific event occurs
 on a file descriptor or after a timeout has been reached.
 .
 It is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 There is now a bufferevent type that supports SSL/TLS using the
 OpenSSL library.  The code for this is build in a separate
 library, libevent_openssl, so that your programs don't need to
 link against OpenSSL unless they actually want SSL support.
