=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
http://libevent.org .*/libevent-(.*?-stable).tar.gz debian uupdate
