=== debian/control ===
--- 
+++ 
@@ -1,31 +1,35 @@
 Source: libevent
-Maintainer: Balint Reczey <rbalint@ubuntu.com>
+Maintainer: Nicolas Mora <babelouest@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libssl-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://salsa.debian.org/debian/libevent -b master
-Vcs-Browser: https://salsa.debian.org/debian/libevent.git
-Homepage: http://libevent.org/
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/libevent.git -b master
+Vcs-Browser: https://salsa.debian.org/debian/libevent
+Homepage: https://libevent.org/
+Rules-Requires-Root: no
 
 Package: libevent-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libevent-2.1-7 (= ${binary:Version}),
-         libevent-core-2.1-7 (= ${binary:Version}),
-         libevent-extra-2.1-7 (= ${binary:Version}),
-         libevent-pthreads-2.1-7 (= ${binary:Version}),
-         libevent-openssl-2.1-7 (= ${binary:Version})
+         libevent-2.1-7t64 (= ${binary:Version}),
+         libevent-core-2.1-7t64 (= ${binary:Version}),
+         libevent-extra-2.1-7t64 (= ${binary:Version}),
+         libevent-pthreads-2.1-7t64 (= ${binary:Version}),
+         libevent-openssl-2.1-7t64 (= ${binary:Version})
 Description: Asynchronous event notification library (development files)
- Libevent is an asynchronous event notification library that provides a 
+ Libevent is an asynchronous event notification library that provides a
  mechanism to execute a callback function when a specific event occurs
  on a file descriptor or after a timeout has been reached.
  .
  This package includes development files for compiling against libevent.
 
-Package: libevent-2.1-7
+Package: libevent-2.1-7t64
+Provides: ${t64:Provides}
+Replaces: libevent-2.1-7
+Breaks: libevent-2.1-7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -45,7 +49,10 @@
  the libevent library that includes everything in libevent_core and
  libevent_extra.
 
-Package: libevent-core-2.1-7
+Package: libevent-core-2.1-7t64
+Provides: ${t64:Provides}
+Replaces: libevent-core-2.1-7
+Breaks: libevent-core-2.1-7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -66,12 +73,15 @@
  If you're writing software that only uses libevent's event loop, you
  should link against only the libevent_core library.
 
-Package: libevent-extra-2.1-7
+Package: libevent-extra-2.1-7t64
+Provides: ${t64:Provides}
+Replaces: libevent-extra-2.1-7
+Breaks: libevent-extra-2.1-7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevent-core-2.1-7 (= ${binary:Version})
+         libevent-core-2.1-7t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Asynchronous event notification library (extra)
  Libevent is an asynchronous event notification library that provides a
@@ -88,12 +98,15 @@
  If you're writing software that uses libevent's protocol support, you
  need to link libevent_core and libevent_extra as well.
 
-Package: libevent-pthreads-2.1-7
+Package: libevent-pthreads-2.1-7t64
+Provides: ${t64:Provides}
+Replaces: libevent-pthreads-2.1-7
+Breaks: libevent-pthreads-2.1-7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevent-core-2.1-7 (= ${binary:Version})
+         libevent-core-2.1-7t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Asynchronous event notification library (pthreads)
  Libevent is an asynchronous event notification library that provides a
@@ -108,12 +121,15 @@
  to link against the libevent_pthreads library in addition to
  libevent_core.
 
-Package: libevent-openssl-2.1-7
+Package: libevent-openssl-2.1-7t64
+Provides: ${t64:Provides}
+Replaces: libevent-openssl-2.1-7
+Breaks: libevent-openssl-2.1-7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevent-core-2.1-7 (= ${binary:Version})
+         libevent-core-2.1-7t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Asynchronous event notification library (openssl)
  Libevent is an asynchronous event notification library that provides a
