=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#,--no-undefined,--no-add-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-libevent-regress
