=== debian/tests/control ===
Tests: unit-test
Depends: @, gcc, libc-dev, libssl-dev, automake, autoconf, libtool
